﻿namespace ILoan.Rules.Web.Extensions;

public static class EnumExtensions
{
    public static List<string> ToList<T>() where T : Enum
    {
        var names = new List<string>();

        foreach (var name in Enum.GetNames(typeof(T)))
        {
            names.Add(name);
        }

        return names;
    }
}